<div class="company-info-panel">
  <form [formGroup]="communicationForm">
    <!--   Communication- Fieldset -->
    <fieldset>
      <legend>Communications</legend>
      <div class="form-group">
        <div class="flex-item">
          <label>Type of Visit</label><sup>*</sup>
          <input class="form-control" formControlName="type_of_visit" />
          <!-- <div class="error-msg" *ngIf="formErrors.type_of_visit">{{ formErrors.type_of_visit }}</div> -->
        </div>

        <div class="flex-item">
          <label>Date of Visit</label>
          <input class="form-control" formControlName="date_of_visit" bsDatepicker
            [bsConfig]="{ containerClass: 'theme-default' }" />
          <!-- <div class="error-msg" *ngIf="formErrors.date_of_visit">{{ formErrors.date_of_visit }}</div> -->
        </div>

        <div class="flex-item">
          <label>Follow up Date</label>
          <input class="form-control" formControlName="follow_up_date" bsDatepicker
            [bsConfig]="{ containerClass: 'theme-default' }" />
        </div>

        <div class="flex-item">
          <label>Communication Type</label>
          <input class="form-control" formControlName="notes" />
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>Note</label>
          <textarea class="form-control" formControlName="notes"></textarea>
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>Name</label>
          <input class="form-control" formControlName="name" />
        </div>

        <div class="flex-item">
          <label>Email</label>
          <input class="form-control" formControlName="email" />
          <!-- <div class="error-msg" *ngIf="formErrors.fax_number">{{ formErrors.fax_number }}</div> -->
        </div>

        <div class="flex-item">
          <label>Email Template</label><sup>*</sup>
          <input class="form-control" formControlName="email_template" />
          <!-- <div class="error-msg" *ngIf="formErrors.industry">{{ formErrors.industry }}</div> -->
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>Subject</label>
          <input class="form-control" formControlName="subject" />
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>Description</label>
          <textarea class="form-control" formControlName="description"></textarea>
        </div>
      </div>

      <div class="form-group">
        <div class="flex-item">
          <label>File</label>
          <input class="d-block upload-control" type="file" (change)="onFileSelect($event)" />
        </div>
      </div>
    </fieldset>

    <div class="mb-3">
      <button *ngIf="!editMode" class="btn btn-primary mr-3" (click)="onSubmit()">Save</button>
      <button *ngIf="editMode" class="btn btn-primary mr-3" (click)="onEdit()">Save</button>
      <button class="btn btn-danger" (click)="onCancel()">Cancel</button>
    </div>

  </form>
</div>